
; Listing 1

(defun DD_OPEN (default prmpt ext mode)
  (setq flags
    (cond
      ((= (strcase mode) "R") 0)
      ((= (strcase mode) "W") 1)
      ((= (strcase mode) "A") 0)
      (t 0)
    )
  )
  (if (null ext) (setq ext "*"))
  (if (null prmpt) (setq prmpt "Select file to open"))
  (setq tmp (getfiled prmpt default ext flags))
  (if tmp
     (progn
       (if (= (strcase mode) "R")
         (setq tmp (findfile tmp)))
       (if tmp
          (open tmp mode)
          (alert "Read file not found!")
       )
     )
     (prompt "\n*CANCEL*")
  )
)

;----------------------------------------------
; Listing 2
;
; all parameters are strings,
; returns list of parameter values.
;
(defun TITLE (name drawing date rev_level)
  (setq dfh (load_dialog "CDNC8-92.DCL"))

  (if (new_dialog "TITLE" dfh)
    (progn

       (set_tile "name" name)
       (set_tile "draw" drawing)
       (set_tile "date" date)
       (set_tile "rev" rev_level)

       (action_tile "name" "(setq name $value)")
       (action_tile "draw" "(setq drawing $value)")
       (action_tile "date" "(setq date $value)")
       (action_tile "rev" "(setq rev_level $value)")

       (start_dialog)

       (done_dialog)
       (unload_dialog dfh)
       (list name drawing date rev_level)
    )
  )
)



